commit: 997b6f77093326f50fa790f533d8b88543fd7b4f
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 24 02:17:32 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Aug 24 02:17:32 2020 +0000
URL: https://gitweb.gentoo.org/proj/kde-sunset.git/commit/?id=997b6f77
media-video/kmplayer: Import 0.11.5 from before slot 4 removal
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../kmplayer/files/kmplayer-0.11.3d-cmake34.patch | 14 +++++
.../files/kmplayer-0.11.3d-kdelibs-4.14.11.patch | 66 +++++++++++++++++++++
media-video/kmplayer/files/kmplayer-flash.patch | 12 ++++
media-video/kmplayer/kmplayer-0.11.5.ebuild | 67 ++++++++++++++++++++++
4 files changed, 159 insertions(+)
diff --git a/media-video/kmplayer/files/kmplayer-0.11.3d-cmake34.patch
b/media-video/kmplayer/files/kmplayer-0.11.3d-cmake34.patch
new file mode 100644
index 00000000..a22136c9
--- /dev/null
+++ b/media-video/kmplayer/files/kmplayer-0.11.3d-cmake34.patch
@@ -0,0 +1,14 @@
+Fix build with >=cmake-3.4
+
+Gentoo-bug: 568430
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -59,6 +59,7 @@
+ endif(NOT WIN32)
+
+
++include(CheckIncludeFiles)
+ check_include_files(stdint.h HAVE_STDINT_H)
+
+ configure_file (config-kmplayer.h.cmake
${CMAKE_CURRENT_BINARY_DIR}/config-kmplayer.h )
diff --git a/media-video/kmplayer/files/kmplayer-0.11.3d-kdelibs-4.14.11.patch
b/media-video/kmplayer/files/kmplayer-0.11.3d-kdelibs-4.14.11.patch
new file mode 100644
index 00000000..f6206c2c
--- /dev/null
+++ b/media-video/kmplayer/files/kmplayer-0.11.3d-kdelibs-4.14.11.patch
@@ -0,0 +1,66 @@
+From 4be412db53ce6342103836163c7b809f36d88a03 Mon Sep 17 00:00:00 2001
+From: David Faure <[email protected]>
+Date: Sun, 26 Jul 2015 17:29:49 +0200
+Subject: [PATCH] set cmake_min_req to 2.8.9 to match kdelibs4 policy; fix
+ build accordingly
+
+(working around the lack of ${KDE4_KMEDIAPLAYER_LIBS})
+
+CCMAIL: [email protected]
+---
+ CMakeLists.txt | 1 +
+ src/CMakeLists.txt | 8 +++++---
+ 2 files changed, 6 insertions(+), 3 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 43d78ab..ff94308 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,3 +1,4 @@
++cmake_minimum_required(VERSION 2.8.9)
+ project(kmplayer)
+
+ cmake_policy(VERSION 2.6)
+diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
+index 01180df..ac230ef 100644
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -13,7 +13,7 @@ IF (KMPLAYER_WITH_CAIRO)
+ MESSAGE("have cairo cflags:${optionalCFlags}
ldflags:${optionalLinkFlags}")
+ endif (KMPLAYER_WITH_CAIRO)
+
+-add_definitions(-DQT3_SUPPORT -DKDE3_SUPPORT
-DKMPLAYER_VERSION_STRING=\\"${KMPLAYER_VERSION_STRING}\\")
++add_definitions(-DQT3_SUPPORT -DKDE3_SUPPORT
-DKMPLAYER_VERSION_STRING="\\\"${KMPLAYER_VERSION_STRING}\\\"")
+
+ ADD_DEFINITIONS(${CAIROCFlags})
+
+@@ -73,6 +73,7 @@ SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
+ "${CAIROCflags} ${GLibDBusCflags}")
+
+ target_link_libraries(kmplayercommon
++ LINK_PRIVATE
+ ${CAIROLinkFlags}
+ ${GLibDBusLinkFlags}
+ ${KDE4_KPARTS_LIBS}
+@@ -81,7 +82,7 @@ target_link_libraries(kmplayercommon
+ ${X11_X11_LIB}
+ ${EXPAT_LIBRARIES}
+ ${KDE4_SOLID_LIBS}
+- kmediaplayer
++ ${KDE4_TARGET_PREFIX}kmediaplayer
+ )
+
+ install(TARGETS kmplayercommon ${INSTALL_TARGETS_DEFAULT_ARGS} )
+@@ -93,7 +94,8 @@ set(kmplayerpart_SRCS kmplayer_part.cpp)
+ kde4_add_plugin(kmplayerpart WITH_PREFIX ${kmplayerpart_SRCS})
+
+ target_link_libraries(kmplayerpart
+- kmplayercommon kmediaplayer
++ kmplayercommon
++ ${KDE4_TARGET_PREFIX}kmediaplayer
+ ${KDE4_KPARTS_LIBS}
+ ${KDE4_KDEUI_LIBS}
+ ${QT_QT3SUPPORT_LIBRARY}
+--
+2.4.6
+
diff --git a/media-video/kmplayer/files/kmplayer-flash.patch
b/media-video/kmplayer/files/kmplayer-flash.patch
new file mode 100644
index 00000000..0a6a72b1
--- /dev/null
+++ b/media-video/kmplayer/files/kmplayer-flash.patch
@@ -0,0 +1,12 @@
+diff -urN kmplayer-0.11.3d.old/src/kmplayer_part.desktop
kmplayer-0.11.3d/src/kmplayer_part.desktop
+--- kmplayer-0.11.3d.old/src/kmplayer_part.desktop 2012-06-10
14:35:46.000000000 +0200
++++ kmplayer-0.11.3d/src/kmplayer_part.desktop 2012-09-11 14:42:04.160426844
+0200
+@@ -93,7 +93,7 @@
+ Comment[zh_TW]=影像播放器外掛程式(與 QuickTime,XMovie,Windows Media 與 RealPlayer 相容)
+ X-KDE-Library=libkmplayerpart
+ # Keep in sync with the audio types in kmplayer.desktop
+-MimeType=application/ogg;application/smil;application/vnd.ms-asf;application/vnd.rn-realmedia;application/x-kmplayer;application/x-mplayer2;application/x-ogg;application/xspf+xml;audio/basic;audio/m3u;audio/mp4;audio/mpeg;audio/mpegurl;audio/vnd.rn-realaudio;audio/vorbis;audio/x-aiff;audio/x-flac;audio/x-m3u;audio/x-matroska;audio/x-mp2;audio/x-mp3;audio/x-mpegurl;audio/x-ms-asx;audio/x-ms-wma;audio/x-musepack;audio/x-mod;audio/x-oggflac;audio/x-pn-realaudio;audio/x-scpls;audio/x-speex;audio/x-vorbis;audio/x-wav;video/avi;video/mediaplayer;video/mp4;video/mpeg;video/quicktime;video/vnd.rn-realvideo;video/x-avi;video/x-flic;video/x-matroska;video/x-ms-asf;video/x-msvideo;video/x-ms-wmp;video/x-ms-wmv;video/x-ogm;video/x-theora;x-scheme-handler/mms;x-scheme-handler/pnm;x-scheme-handler/rtspt;x-scheme-handler/rtspu;
++MimeType=application/x-shockwave-flash;application/ogg;application/smil;application/vnd.ms-asf;application/vnd.rn-realmedia;application/x-kmplayer;application/x-mplayer2;application/x-ogg;application/xspf+xml;audio/basic;audio/m3u;audio/mp4;audio/mpeg;audio/mpegurl;audio/vnd.rn-realaudio;audio/vorbis;audio/x-aiff;audio/x-flac;audio/x-m3u;audio/x-matroska;audio/x-mp2;audio/x-mp3;audio/x-mpegurl;audio/x-ms-asx;audio/x-ms-wma;audio/x-musepack;audio/x-mod;audio/x-oggflac;audio/x-pn-realaudio;audio/x-scpls;audio/x-speex;audio/x-vorbis;audio/x-wav;video/avi;video/mediaplayer;video/mp4;video/mpeg;video/quicktime;video/vnd.rn-realvideo;video/x-avi;video/x-flic;video/x-matroska;video/x-ms-asf;video/x-msvideo;video/x-ms-wmp;video/x-ms-wmv;video/x-ogm;video/x-theora;x-scheme-handler/mms;x-scheme-handler/pnm;x-scheme-handler/rtspt;x-scheme-handler/rtspu;
+ Type=Service
+ Icon=kmplayer
+ X-KDE-ServiceTypes=KParts/ReadOnlyPart,Browser/View,KMediaPlayer/Player
diff --git a/media-video/kmplayer/kmplayer-0.11.5.ebuild
b/media-video/kmplayer/kmplayer-0.11.5.ebuild
new file mode 100644
index 00000000..2ac24863
--- /dev/null
+++ b/media-video/kmplayer/kmplayer-0.11.5.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+COMMIT="a28ff105e76a227b799c2bbf6e732791de5fb84e"
+inherit kde4-base
+
+DESCRIPTION="Video player plugin for Konqueror and basic MPlayer frontend"
+HOMEPAGE="https://kmplayer.kde.org"
+SRC_URI="https://github.com/KDE/kmplayer/archive/${COMMIT}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="GPL-2 FDL-1.2 LGPL-2.1"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="cairo debug expat npp"
+
+DEPEND="
+ media-libs/phonon[qt4]
+ x11-libs/libX11
+ cairo? (
+ x11-libs/cairo
+ x11-libs/pango
+ )
+ expat? ( >=dev-libs/expat-2.0.1 )
+ npp? (
+ $(add_kdeapps_dep kreadconfig)
+ dev-libs/dbus-glib
+ www-plugins/adobe-flash:*
+ >=x11-libs/gtk+-2.10.14:2
+ )
+"
+RDEPEND="${DEPEND}
+ media-video/mplayer
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.11.3d-cmake34.patch" )
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+ use npp && epatch "${FILESDIR}/${PN}-flash.patch"
+ sed -e '/add_subdirectory(icons)/d' \
+ -i CMakeLists.txt || die
+
+ kde4-base_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DKMPLAYER_BUILT_WITH_CAIRO=$(usex cairo)
+ -DKMPLAYER_BUILT_WITH_EXPAT=$(usex expat)
+ -DKMPLAYER_BUILT_WITH_NPP=$(usex npp)
+ )
+
+ kde4-base_src_configure
+}
+
+src_install() {
+ kde4-base_src_install
+
+ if use npp; then
+ kwriteconfig --file "${ED}/usr/share/config/kmplayerrc" --group
"application/x-shockwave-flash" --key player npp
+ kwriteconfig --file "${ED}/usr/share/config/kmplayerrc" --group
"application/x-shockwave-flash" --key plugin
/usr/lib/nsbrowser/plugins/libflashplayer.so
+ fi
+}